Can i use Nhibernate 1.2.1 with ActiveRecord RC3?

13 views
Skip to first unread message

jc

unread,
Feb 12, 2008, 11:09:55 AM2/12/08
to Castle Project Users
Pretty simple question, extremely hard to find an answer in any of the
available documentation.

The msi release is linked to NHibernate 1.2.0.4000, while the latest
NHibernate release is 1.2.1.4000. I would rather use the latest. Do i
need to use ActiveRecord trunk for that?

Thanks.

Ken Egozi

unread,
Feb 12, 2008, 11:12:57 AM2/12/08
to castle-pro...@googlegroups.com
AR trunk works with NH2

as for your question - I think (nor sure) that 1.2.1 should work ok with our RC3

just try to use that dll instead of the supplied one.

Ayende Rahien

unread,
Feb 12, 2008, 11:17:41 AM2/12/08
to castle-pro...@googlegroups.com
Probably not, there were some breaking changes in between.

Ken Egozi

unread,
Feb 12, 2008, 11:22:34 AM2/12/08
to castle-pro...@googlegroups.com
Probably not, there were some breaking changes in between.

So I take it back. I guess I can't remember API changes of NH when Im in a ski resort ...
--
Ken Egozi.
http://www.kenegozi.com/blog
http://www.musicglue.com
http://www.mamaherb.com
http://www.gotfriends.co.il

jc

unread,
Feb 12, 2008, 2:04:03 PM2/12/08
to Castle Project Users
Ya it doesn't work :)

Am i really losing anything from using version 1.2.0 instead of 1.2.1?

On Feb 12, 11:22 am, "Ken Egozi" <egoz...@gmail.com> wrote:
> > Probably not, there were some breaking changes in between.
>
> So I take it back. I guess I can't remember API changes of NH when Im in a
> ski resort ...
>
> On Feb 12, 2008 5:17 PM, Ayende Rahien <aye...@ayende.com> wrote:
>
>
>
> > Probably not, there were some breaking changes in between.
>
> > On 2/12/08, Ken Egozi <egoz...@gmail.com> wrote:
>
> > > AR trunk works with NH2
>
> > > as for your question - I think (nor sure) that 1.2.1 should work ok with
> > > our RC3
>
> > > just try to use that dll instead of the supplied one.
>

KnaveT

unread,
Feb 13, 2008, 10:19:12 AM2/13/08
to Castle Project Users
Hi JC,

I faced the same issue like you a couple of weeks ago. I downloaded
the castle code back then, and built myself an RC3 version with
Nhibernate v1.2.1.4 as the dependency. If I remembered correctly, I
only had to modify one class to allow it to compile (was a missing
Interface implementation).

If you're interested in trying it, I've packaged it for you.

http://www.yousendit.com/transfer.php?action=download&ufid=5BC48F92516CDC78

Take note that I did not modify the version number for the
ActiveRecord.dll, so you may want to backup the original copy.

IMO, the updated Nhibernate version solved tons of bugs.
e.g.
"select distinct n from MyObject n where n.name = ? ". This HQL query
will not work in the old NHibernate version, but is fixed in 1.2.1.4.

Knave
> > Ken Egozi.http://www.kenegozi.com/bloghttp://www.musicglue.comhttp://www.mamahe...

jc

unread,
Mar 7, 2008, 11:06:14 AM3/7/08
to Castle Project Users
I totally missed this message. Thanks Knave. I proceeded without
upgrading, but will look into this again shortly for another project.

Thanks,
jc

On Feb 13, 10:19 am, KnaveT <knave...@gmail.com> wrote:
> Hi JC,
>
> I faced the same issue like you a couple of weeks ago. I downloaded
> the castle code back then, and built myself an RC3 version with
> Nhibernate v1.2.1.4 as the dependency. If I remembered correctly, I
> only had to modify one class to allow it to compile (was a missing
> Interface implementation).
>
> If you're interested in trying it, I've packaged it for you.
>
> http://www.yousendit.com/transfer.php?action=download&ufid=5BC48F9251...
Reply all
Reply to author
Forward
0 new messages